
From: Kumar Gala <galak@freescale.com>

The PHY interrupt for the DM9121 PHY connected to the FEC ethernet port
does not work on the MPC8540 ADS board.  If we tell the driver that the PHY
does not have an interrupt the FEC works properly on the MPC8540 ADS board.

Signed-off-by: Roy Zang
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/85xx/mpc8540_ads.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/platforms/85xx/mpc8540_ads.c~ppc32-fix-fec-ethernet-intialization-on-mpc8540-ads-board arch/ppc/platforms/85xx/mpc8540_ads.c
--- 25/arch/ppc/platforms/85xx/mpc8540_ads.c~ppc32-fix-fec-ethernet-intialization-on-mpc8540-ads-board	2005-03-15 23:27:27.000000000 -0800
+++ 25-akpm/arch/ppc/platforms/85xx/mpc8540_ads.c	2005-03-15 23:27:27.000000000 -0800
@@ -109,7 +109,7 @@ mpc8540ads_setup_arch(void)
 	memcpy(pdata->mac_addr, binfo->bi_enet1addr, 6);
 
 	pdata = (struct gianfar_platform_data *) ppc_sys_get_pdata(MPC85xx_FEC);
-	pdata->board_flags = FSL_GIANFAR_BRD_HAS_PHY_INTR;
+	pdata->board_flags = 0;
 	pdata->interruptPHY = MPC85xx_IRQ_EXT5;
 	pdata->phyid = 3;
 	/* fixup phy address */
_
